# Intents
## Standar Activity Actions
Constantes: 20  
https://developer.android.com/reference/android/content/Intent#standard-activity-actions

- `ACTION_MAIN`
- `ACTION_VIEW`
- `ACTION_ATTACH_DATA`
- `ACTION_EDIT`
- `ACTION_PICK`
- `ACTION_CHOOSER`
- `ACTION_GET_CONTENT`
- `ACTION_DIAL`
- `ACTION_CALL`
- `ACTION_SEND`
- `ACTION_SENDTO`
- `ACTION_ANSWER`
- `ACTION_INSERT`
- `ACTION_DELETE`
- `ACTION_RUN`
- `ACTION_SYNC`
- `ACTION_PICK_ACTIVITY`
- `ACTION_SEARCH`
- `ACTION_WEB_SEARCH`
- `ACTION_FACTORY_TEST`


## Standard Broadcast Actions
Constantes: 14  
https://developer.android.com/reference/android/content/Intent#standard-broadcast-actions

- `ACTION_TIME_TICK`
- `ACTION_TIME_CHANGED`
- `ACTION_TIMEZONE_CHANGED`
- `ACTION_BOOT_COMPLETED`
- `ACTION_PACKAGE_ADDED`
- `ACTION_PACKAGE_CHANGED`
- `ACTION_PACKAGE_DATA_CLEARED`
- `ACTION_PACKAGE_REMOVED`
- `ACTION_PACKAGE_RESTARTED`
- `ACTION_UID_REMOVED`
- `ACTION_BATTERY_CHANGED`
- `ACTION_POWER_CONNECTED`
- `ACTION_POWER_DISCONNECTED`
- `ACTION_SHUTDOWN`


## Flags
Constantes: 105  
https://developer.android.com/reference/android/content/Intent#flags

- `ACTION_AIRPLANE_MODE_CHANGED`
- `ACTION_ALL_APPS`
- `ACTION_ANSWER`
- `ACTION_APP_ERROR`
- `ACTION_ASSIST`
- `ACTION_ATTACH_DATA`
- `ACTION_BATTERY_CHANGED`
- `ACTION_BATTERY_LOW`
- `ACTION_BATTERY_OKAY`
- `ACTION_BOOT_COMPLETED`
- `ACTION_BUG_REPORT`
- `ACTION_CALL`
- `ACTION_CALL_BUTTON`
- `ACTION_CAMERA_BUTTON`
- `ACTION_CHOOSER`
- `ACTION_CLOSE_SYSTEM_DIALOGS`
- `ACTION_CONFIGURATION_CHANGED`
- `ACTION_CREATE_DOCUMENT`
- `ACTION_CREATE_SHORTCUT`
- `ACTION_DATE_CHANGED`
- `ACTION_DEVICE_STORAGE_LOW`
- `ACTION_DEVICE_STORAGE_OK`
- `ACTION_DIAL`
- `ACTION_DOCK_EVENT`
- `ACTION_DREAMING_STARTED`
- `ACTION_DREAMING_STOPPED`
- `ACTION_EDIT`
- `ACTION_EXTERNAL_APPLICATIONS_AVAILABLE`
- `ACTION_EXTERNAL_APPLICATIONS_UNAVAILABLE`
- `ACTION_FACTORY_TEST`
- `ACTION_GET_CONTENT`
- `ACTION_GET_RESTRICTION_ENTRIES`
- `ACTION_GTALK_SERVICE_CONNECTED`
- `ACTION_GTALK_SERVICE_DISCONNECTED`
- `ACTION_HEADSET_PLUG`
- `ACTION_INPUT_METHOD_CHANGED`
- `ACTION_INSERT`
- `ACTION_INSERT_OR_EDIT`
- `ACTION_INSTALL_PACKAGE`
- `ACTION_LOCALE_CHANGED`
- `ACTION_MAIN`
- `ACTION_MANAGE_NETWORK_USAGE`
- `ACTION_MANAGE_PACKAGE_STORAGE`
- `ACTION_MEDIA_BAD_REMOVAL`
- `ACTION_MEDIA_BUTTON`
- `ACTION_MEDIA_CHECKING`
- `ACTION_MEDIA_EJECT`
- `ACTION_MEDIA_MOUNTED`
- `ACTION_MEDIA_NOFS`
- `ACTION_MEDIA_REMOVED`
- `ACTION_MEDIA_SCANNER_FINISHED`
- `ACTION_MEDIA_SCANNER_SCAN_FILE`
- `ACTION_MEDIA_SCANNER_STARTED`
- `ACTION_MEDIA_SHARED`
- `ACTION_MEDIA_UNMOUNTABLE`
- `ACTION_MEDIA_UNMOUNTED`
- `ACTION_MY_PACKAGE_REPLACED`
- `ACTION_NEW_OUTGOING_CALL`
- `ACTION_OPEN_DOCUMENT`
- `ACTION_PACKAGE_ADDED`
- `ACTION_PACKAGE_CHANGED`
- `ACTION_PACKAGE_DATA_CLEARED`
- `ACTION_PACKAGE_FIRST_LAUNCH`
- `ACTION_PACKAGE_FULLY_REMOVED`
- `ACTION_PACKAGE_INSTALL`
- `ACTION_PACKAGE_NEEDS_VERIFICATION`
- `ACTION_PACKAGE_REMOVED`
- `ACTION_PACKAGE_REPLACED`
- `ACTION_PACKAGE_RESTARTED`
- `ACTION_PACKAGE_VERIFIED`
- `ACTION_PASTE`
- `ACTION_PICK`
- `ACTION_PICK_ACTIVITY`
- `ACTION_POWER_CONNECTED`
- `ACTION_POWER_DISCONNECTED`
- `ACTION_POWER_USAGE_SUMMARY`
- `ACTION_PROVIDER_CHANGED`
- `ACTION_QUICK_CLOCK`
- `ACTION_REBOOT`
- `ACTION_RUN`
- `ACTION_SCREEN_OFF`
- `ACTION_SCREEN_ON`
- `ACTION_SEARCH`
- `ACTION_SEARCH_LONG_PRESS`
- `ACTION_SEND`
- `ACTION_SENDTO`
- `ACTION_SEND_MULTIPLE`
- `ACTION_SET_WALLPAPER`
- `ACTION_SHUTDOWN`
- `ACTION_SYNC`
- `ACTION_SYSTEM_TUTORIAL`
- `ACTION_TIMEZONE_CHANGED`
- `ACTION_TIME_CHANGED`
- `ACTION_TIME_TICK`
- `ACTION_UID_REMOVED`
- `ACTION_UMS_CONNECTED`
- `ACTION_UMS_DISCONNECTED`
- `ACTION_UNINSTALL_PACKAGE`
- `ACTION_USER_BACKGROUND`
- `ACTION_USER_FOREGROUND`
- `ACTION_USER_INITIALIZE`
- `ACTION_USER_PRESENT`
- `ACTION_VIEW`
- `ACTION_VOICE_COMMAND`
- `ACTION_WALLPAPER_CHANGED`


## Non Référencé
Constantes: 1  

- `ACTION_`